%global srcname rmtest
%global summary A simple framework for testing Redis modules

Name:    python-%{srcname}
Version: 0.6.6
Release: 1%{?dist}
Summary: %{summary}

License: BSD
URL:     https://pypi.python.org/pypi/%{srcname}

Source0: https://pypi.python.org/packages/f3/f2/ee5cb3ea95310d0c8993aa854c128458d1ac4e5a6cf1ac8987c0fb089bd3/%{srcname}-%{version}.tar.gz
Source1: https://raw.githubusercontent.com/RedisLabs/rmtest/master/LICENSE
Source2: https://raw.githubusercontent.com/RedisLabs/rmtest/master/README.md
Patch1:  rmtest-python3.patch

BuildArch:      noarch
BuildRequires:  python2-devel python3-devel
BuildRequires:  python-redis python3-redis
BuildRequires:  redis-devel
Requires:       redis >= 4

%description
Simple framework for testing Redis modules using python
unit test, and a disposable ephemeral Redis sub-process.

%package -n python2-%{srcname}
Summary:        %{summary}
Requires:       python-redis
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname}
Simple framework for testing Redis modules using python
unit test, and a disposable ephemeral Redis sub-process.

%package -n python3-%{srcname}
Summary:        %{summary}
Requires:       python3-redis
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
Simple framework for testing Redis modules using python
unit test, and a disposable ephemeral Redis sub-process.

%prep
%autosetup -n %{srcname}-%{version} -p1
cp %{S:1} %{S:2} .

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%check
PYTHONPATH=%{buildroot}/%{python2_sitelib}/rmtest %{__python2} setup.py test
PYTHONPATH=%{buildroot}/%{python3_sitelib}/rmtest %{__python3} setup.py test

%files -n python2-%{srcname}
%license LICENSE
%doc README.md
%{python2_sitelib}/*

%files -n python3-%{srcname}
%license LICENSE
%doc README.md
%{python3_sitelib}/*

%changelog
* Mon Nov 27 2017 Nathan Scott <nathans@redhat.com> - 0.6.6-1
Initial redis module test package.
